ru.bitel.oss.kernel.entity.common.bean

## Class EntitySpec

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.kernel.entity.common.bean.EntitySpec

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem
  Direct Known Subclasses:
    ContractObjectType

      public class EntitySpec
      extends IdTitle

  Сущность/Тип объекта/Группа параметров ObjectType
  Author:
    amir
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntitySpec()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `createEntityTitle(Entity entity)`
    `static java.lang.String` | `createEntityTitle(int entityId, java.lang.String title, EntitySpec spec, java.util.Map<java.lang.Integer,EntityAttr> attributes)`
    `java.util.List<EntitySpecAttr>` | `getAttributeList()`
    `java.lang.String` | `getComment()`
    `int` | `getEntitySpecTypeId()`
    `java.lang.String` | `getEntityTitleMacros()`
    `java.util.Set<java.lang.Integer>` | `getModuleIds()`
    `boolean` | `isHidden()`
    `void` | `setAttributeList(java.util.List<EntitySpecAttr> attributes)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setEntitySpecTypeId(int entitySpecTypeId)`
    `void` | `setEntityTitleMacros(java.lang.String entityTitleMakros)`
    `void` | `setHidden(boolean hidden)`
    `void` | `setModuleIds(java.util.Set<java.lang.Integer> moduleIds)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### EntitySpec

          public EntitySpec()

  - ### Method Detail

    - #### getModuleIds

          public java.util.Set<java.lang.Integer> getModuleIds()

    - #### setModuleIds

          public void setModuleIds(java.util.Set<java.lang.Integer> moduleIds)

    - #### getEntitySpecTypeId

          public int getEntitySpecTypeId()

    - #### setEntitySpecTypeId

          public void setEntitySpecTypeId(int entitySpecTypeId)

    - #### getEntityTitleMacros

          public java.lang.String getEntityTitleMacros()

    - #### setEntityTitleMacros

          public void setEntityTitleMacros(java.lang.String entityTitleMakros)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### isHidden

          public boolean isHidden()

    - #### setHidden

          public void setHidden(boolean hidden)

    - #### getAttributeList

          public java.util.List<EntitySpecAttr> getAttributeList()

    - #### setAttributeList

          public void setAttributeList(java.util.List<EntitySpecAttr> attributes)

    - #### createEntityTitle

          public java.lang.String createEntityTitle(Entity entity)

    - #### createEntityTitle

          public static java.lang.String createEntityTitle(int entityId,
                                                           java.lang.String title,
                                                           EntitySpec spec,
                                                           java.util.Map<java.lang.Integer,EntityAttr> attributes)